Subject: Unfair prompts and documentation of Emergency Escape

From: Dan Jacobson <[email-masked]>
Date: Wed, 31 Jul 2024 09:17:25 +0800

Regarding

   Emacs is resuming after an emergency escape.
   Auto-save? (y or n)
   Abort (and dump core)? (y or n)

and its documentation, (info "(emacs) Emergency Escape"),

well, I would just like to say it is not fair to the user,
to not mention what will happen if they just hit RET.

Not fair in the prompts. Not fair in the documentation.

So the prompts should have one letter bigger, or use [ ] etc.
to indicate if RET=y or if RET=n. And the documentation needs to
document what will happen too.

Or document why it doesn't document it.

Oh, yes, I did try it. Two RETs. Yup.
And I am still alive.
However what did actually happen is a secret.

By the way, maybe a thorough check should be made to identify any other
"test your luck" ambiguous prompts.

Also they need to look different from the prompts that indeed "won't
take RET as an answer" and "demand a real answer, y or n".

emacs-version "29.4"